Browse Source

[Database] Shipyard DB changes

- Use helm-toolkit for DB initialization [0]
- Create DB auxiliary Job for shipyard specific
  additonal DB operations
- Refactor Job dependencies

[0] https://review.openstack.org/#/c/635348/

Depends-On: https://review.openstack.org/#/c/635348/

Change-Id: I093671f9bce747b491f22dd8f38f597bd9dae9af
master
Nishant Kumar 3 months ago
parent
commit
d9f145e2a6

+ 0
- 50
charts/shipyard/templates/bin/_airflow-db-init.sh.tpl View File

@@ -1,50 +0,0 @@
1
-#!/bin/bash
2
-
3
-{{/*
4
-Copyright 2017 The Openstack-Helm Authors.
5
-Copyright (c) 2018 AT&T Intellectual Property. All rights reserved.
6
-
7
-Licensed under the Apache License, Version 2.0 (the "License");
8
-you may not use this file except in compliance with the License.
9
-You may obtain a copy of the License at
10
-
11
-   http://www.apache.org/licenses/LICENSE-2.0
12
-
13
-Unless required by applicable law or agreed to in writing, software
14
-distributed under the License is distributed on an "AS IS" BASIS,
15
-WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
16
-See the License for the specific language governing permissions and
17
-limitations under the License.
18
-*/}}
19
-
20
-set -ex
21
-export HOME=/tmp
22
-
23
-# Extract the DB string from shipyard.conf and get the
24
-# value of the DB host and port
25
-db_string=`grep -i sql_alchemy_conn ${AIRFLOW_CONFIG_FILE}`
26
-db_fqdn=`echo ${db_string#*@} | cut -f1 -d"."`
27
-db_port=`echo ${db_string#*@} | grep -o "[0-9]\+"`
28
-
29
-pgsql_superuser_cmd () {
30
-  DB_COMMAND="$1"
31
-  if [[ ! -z $2 ]]; then
32
-      EXPORT PGDATABASE=$2
33
-  fi
34
-
35
-  psql \
36
-  -h $db_fqdn \
37
-  -p $db_port \
38
-  -U ${DB_ADMIN_USER} \
39
-  --command="${DB_COMMAND}"
40
-}
41
-
42
-# Create db
43
-pgsql_superuser_cmd "SELECT 1 FROM pg_database WHERE datname = '$DB_NAME'" | grep -q 1 || pgsql_superuser_cmd "CREATE DATABASE $DB_NAME"
44
-
45
-# Create db user
46
-pgsql_superuser_cmd "SELECT * FROM pg_roles WHERE rolname = '$DB_SERVICE_USER';" | tail -n +3 | head -n -2 | grep -q 1 || \
47
-    pgsql_superuser_cmd "CREATE ROLE ${DB_SERVICE_USER} LOGIN PASSWORD '$DB_SERVICE_PASSWORD'"
48
-
49
-# Grant permissions to user
50
-pgsql_superuser_cmd "GRANT ALL PRIVILEGES ON DATABASE $DB_NAME to $DB_SERVICE_USER;"

+ 46
- 0
charts/shipyard/templates/bin/_shipyard-db-auxiliary.sh.tpl View File

@@ -0,0 +1,46 @@
1
+#!/bin/bash
2
+
3
+{{/*
4
+Copyright (c) 2019 AT&T Intellectual Property. All rights reserved.
5
+
6
+Licensed under the Apache License, Version 2.0 (the "License");
7
+you may not use this file except in compliance with the License.
8
+You may obtain a copy of the License at
9
+
10
+   http://www.apache.org/licenses/LICENSE-2.0
11
+
12
+Unless required by applicable law or agreed to in writing, software
13
+distributed under the License is distributed on an "AS IS" BASIS,
14
+WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
15
+See the License for the specific language governing permissions and
16
+limitations under the License.
17
+*/}}
18
+
19
+set -e
20
+
21
+if [[ ! -v DB_HOST ]]; then
22
+    echo "environment variable DB_HOST not set"
23
+    exit 1
24
+elif [[ ! -v DB_ADMIN_USER ]]; then
25
+    echo "environment variable DB_ADMIN_USER not set"
26
+    exit 1
27
+elif [[ ! -v PGPASSWORD ]]; then
28
+    echo "environment variable PGPASSWORD not set"
29
+    exit 1
30
+elif [[ ! -v USER_DB_USER ]]; then
31
+    echo "environment variable USER_DB_USER not set"
32
+    exit 1
33
+elif [[ ! -v DB_PORT ]]; then
34
+    echo "environment variable USER_DB_USER not set"
35
+    exit 1
36
+elif [[ ! -v USER_DB_NAME ]]; then
37
+    echo "environment variable USER_DB_NAME not set"
38
+    exit 1
39
+else
40
+    echo "Got DB connection info"
41
+fi
42
+
43
+# Grant permissions to shipyard user to the airflow dataabase tables
44
+# This will allow shipyard user to query airflow database
45
+/usr/bin/psql -h ${DB_HOST} -p ${DB_PORT} -U ${DB_ADMIN_USER} -d ${AIRFLOW_DB_NAME} \
46
+--command="GRANT select, insert, update, delete on all tables in schema public to $USER_DB_USER;"

+ 0
- 55
charts/shipyard/templates/bin/_shipyard-db-init.sh.tpl View File

@@ -1,55 +0,0 @@
1
-#!/bin/bash
2
-
3
-{{/*
4
-Copyright 2017 The Openstack-Helm Authors.
5
-Copyright (c) 2018 AT&T Intellectual Property. All rights reserved.
6
-
7
-Licensed under the Apache License, Version 2.0 (the "License");
8
-you may not use this file except in compliance with the License.
9
-You may obtain a copy of the License at
10
-
11
-   http://www.apache.org/licenses/LICENSE-2.0
12
-
13
-Unless required by applicable law or agreed to in writing, software
14
-distributed under the License is distributed on an "AS IS" BASIS,
15
-WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
16
-See the License for the specific language governing permissions and
17
-limitations under the License.
18
-*/}}
19
-
20
-set -ex
21
-export HOME=/tmp
22
-
23
-# Extract the DB string from shipyard.conf and get the
24
-# value of the DB host and port
25
-db_string=`grep -i postgresql_db ${SHIPYARD_CONFIG_FILE}`
26
-db_fqdn=`echo ${db_string#*@} | cut -f1 -d"."`
27
-db_port=`echo ${db_string#*@} | grep -o "[0-9]\+"`
28
-
29
-pgsql_superuser_cmd () {
30
-  DB_COMMAND="$1"
31
-  if [[ ! -z $2 ]]; then
32
-      EXPORT PGDATABASE=$2
33
-  fi
34
-
35
-  psql \
36
-  -h $db_fqdn \
37
-  -p $db_port \
38
-  -U ${DB_ADMIN_USER} \
39
-  --command="${DB_COMMAND}"
40
-}
41
-
42
-# Create db
43
-pgsql_superuser_cmd "SELECT 1 FROM pg_database WHERE datname = '$DB_NAME'" | grep -q 1 || pgsql_superuser_cmd "CREATE DATABASE $DB_NAME"
44
-
45
-# Create db user
46
-pgsql_superuser_cmd "SELECT * FROM pg_roles WHERE rolname = '$DB_SERVICE_USER';" | tail -n +3 | head -n -2 | grep -q 1 || \
47
-    pgsql_superuser_cmd "CREATE ROLE ${DB_SERVICE_USER} LOGIN PASSWORD '$DB_SERVICE_PASSWORD'"
48
-
49
-# Grant permissions to user
50
-pgsql_superuser_cmd "GRANT ALL PRIVILEGES ON DATABASE $DB_NAME to $DB_SERVICE_USER;"
51
-
52
-# Grant permissions to shipyard user to the airflow dataabase tables
53
-# This will allow shipyard user to query airflow database
54
-psql -h $db_fqdn -p $db_port -U ${DB_ADMIN_USER} -d ${AIRFLOW_DB_NAME} \
55
---command="GRANT select, insert, update, delete on all tables in schema public to $DB_SERVICE_USER;"

+ 1
- 1
charts/shipyard/templates/configmap-airflow-bin.yaml View File

@@ -24,7 +24,7 @@ data:
24 24
   rabbit-init.sh: |+
25 25
 {{- include "helm-toolkit.scripts.rabbit_init" . | indent 4 }}
26 26
   airflow-db-init.sh: |+
27
-{{ tuple "bin/_airflow-db-init.sh.tpl" . | include "helm-toolkit.utils.template" | indent 4 }}
27
+{{-  include "helm-toolkit.scripts.pg_db_init" . | indent 4 }}
28 28
   airflow-db-sync.sh: |+
29 29
 {{ tuple "bin/_airflow-db-sync.sh.tpl" . | include "helm-toolkit.utils.template" | indent 4 }}
30 30
 {{- end }}

+ 3
- 1
charts/shipyard/templates/configmap-shipyard-bin.yaml View File

@@ -28,7 +28,9 @@ data:
28 28
   ks-domain-user.sh: |
29 29
 {{- include "helm-toolkit.scripts.keystone_domain_user" . | indent 4 }}
30 30
   shipyard-db-init.sh: |+
31
-{{ tuple "bin/_shipyard-db-init.sh.tpl" . | include "helm-toolkit.utils.template" | indent 4 }}
31
+{{-  include "helm-toolkit.scripts.pg_db_init" . | indent 4 }}
32 32
   shipyard-db-sync.sh: |+
33 33
 {{ tuple "bin/_shipyard-db-sync.sh.tpl" . | include "helm-toolkit.utils.template" | indent 4 }}
34
+  shipyard-db-auxiliary.sh: |+
35
+{{ tuple "bin/_shipyard-db-auxiliary.sh.tpl" . | include "helm-toolkit.utils.template" | indent 4 }}
34 36
 {{- end }}

+ 10
- 7
charts/shipyard/templates/job-airflow-db-init.yaml View File

@@ -44,24 +44,22 @@ spec:
44 44
           imagePullPolicy: {{ .Values.images.pull_policy | quote }}
45 45
 {{ tuple $envAll $envAll.Values.pod.resources.jobs.airflow_db_init | include "helm-toolkit.snippets.kubernetes_resources" | indent 10 }}
46 46
           env:
47
-            - name: AIRFLOW_DB_URL
47
+            - name: DB_HOST
48 48
               valueFrom:
49 49
                 secretKeyRef:
50 50
                   name: {{ .Values.secrets.postgresql_airflow_db.user }}
51
-                  key: AIRFLOW_DATABASE_URI
52
-            - name: AIRFLOW_CONFIG_FILE
53
-              value: /etc/airflow/airflow.cfg
54
-            - name: DB_NAME
51
+                  key: AIRFLOW_DATABASE_HOST
52
+            - name: USER_DB_NAME
55 53
               valueFrom:
56 54
                 secretKeyRef:
57 55
                   name: {{ .Values.secrets.postgresql_airflow_db.user }}
58 56
                   key: AIRFLOW_DATABASE_NAME
59
-            - name: DB_SERVICE_USER
57
+            - name: USER_DB_USER
60 58
               valueFrom:
61 59
                 secretKeyRef:
62 60
                   name: {{ .Values.secrets.postgresql_airflow_db.user }}
63 61
                   key: AIRFLOW_DATABASE_USERNAME
64
-            - name: DB_SERVICE_PASSWORD
62
+            - name: USER_DB_PASS
65 63
               valueFrom:
66 64
                 secretKeyRef:
67 65
                   name: {{ .Values.secrets.postgresql_airflow_db.user }}
@@ -76,6 +74,11 @@ spec:
76 74
                 secretKeyRef:
77 75
                   name: {{ .Values.secrets.postgresql_airflow_db.admin }}
78 76
                   key: AIRFLOW_DATABASE_PASSWORD
77
+            - name: DB_PORT
78
+              valueFrom:
79
+                secretKeyRef:
80
+                  name: {{ .Values.secrets.postgresql_airflow_db.user }}
81
+                  key: DATABASE_PORT
79 82
           command:
80 83
             - /tmp/airflow-db-init.sh
81 84
           volumeMounts:

+ 99
- 0
charts/shipyard/templates/job-shipyard-db-auxiliary.yaml View File

@@ -0,0 +1,99 @@
1
+{{/*
2
+Copyright (c) 2019 AT&T Intellectual Property. All rights reserved.
3
+
4
+Licensed under the Apache License, Version 2.0 (the "License");
5
+you may not use this file except in compliance with the License.
6
+You may obtain a copy of the License at
7
+
8
+   http://www.apache.org/licenses/LICENSE-2.0
9
+
10
+Unless required by applicable law or agreed to in writing, software
11
+distributed under the License is distributed on an "AS IS" BASIS,
12
+WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
13
+See the License for the specific language governing permissions and
14
+limitations under the License.
15
+*/}}
16
+
17
+{{- if .Values.manifests.job_shipyard_db_auxiliary }}
18
+{{- $envAll := . }}
19
+{{- $mounts_shipyard_db_auxiliary := .Values.pod.mounts.shipyard_db_auxiliary.shipyard_db_auxiliary }}
20
+{{- $mounts_shipyard_db_auxiliary_init := .Values.pod.mounts.shipyard_db_auxiliary.init_container }}
21
+{{- $serviceAccountName := "shipyard-db-auxiliary" }}
22
+{{ tuple $envAll "shipyard_db_auxiliary" $serviceAccountName | include "helm-toolkit.snippets.kubernetes_pod_rbac_serviceaccount" }}
23
+---
24
+apiVersion: batch/v1
25
+kind: Job
26
+metadata:
27
+  name: shipyard-db-auxiliary
28
+  annotations:
29
+    {{ tuple $envAll | include "helm-toolkit.snippets.release_uuid" }}
30
+spec:
31
+  template:
32
+    metadata:
33
+      labels:
34
+{{ tuple $envAll "shipyard" "db-auxiliary" | include "helm-toolkit.snippets.kubernetes_metadata_labels" | indent 8 }}
35
+    spec:
36
+      serviceAccountName: {{ $serviceAccountName }}
37
+      restartPolicy: OnFailure
38
+      nodeSelector:
39
+        {{ .Values.labels.job.node_selector_key }}: {{ .Values.labels.job.node_selector_value }}
40
+      initContainers:
41
+{{ tuple $envAll "shipyard_db_auxiliary" list | include "helm-toolkit.snippets.kubernetes_entrypoint_init_container" | indent 8 }}
42
+      containers:
43
+        - name: shipyard-db-auxiliary
44
+          image: {{ .Values.images.tags.shipyard_db_auxiliary | quote }}
45
+          imagePullPolicy: {{ .Values.images.pull_policy | quote }}
46
+{{ tuple $envAll $envAll.Values.pod.resources.jobs.shipyard_db_auxiliary | include "helm-toolkit.snippets.kubernetes_resources" | indent 10 }}
47
+          env:
48
+            - name: DB_HOST
49
+              valueFrom:
50
+                secretKeyRef:
51
+                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
52
+                  key: SHIPYARD_DATABASE_HOST
53
+            - name: USER_DB_NAME
54
+              valueFrom:
55
+                secretKeyRef:
56
+                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
57
+                  key: SHIPYARD_DATABASE_NAME
58
+            - name: USER_DB_USER
59
+              valueFrom:
60
+                secretKeyRef:
61
+                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
62
+                  key: SHIPYARD_DATABASE_USERNAME
63
+            - name: DB_ADMIN_USER
64
+              valueFrom:
65
+                secretKeyRef:
66
+                  name: {{ .Values.secrets.postgresql_shipyard_db.admin }}
67
+                  key: SHIPYARD_DATABASE_USERNAME
68
+            - name: PGPASSWORD
69
+              valueFrom:
70
+                secretKeyRef:
71
+                  name: {{ .Values.secrets.postgresql_shipyard_db.admin }}
72
+                  key: SHIPYARD_DATABASE_PASSWORD
73
+            - name: AIRFLOW_DB_NAME
74
+              valueFrom:
75
+                secretKeyRef:
76
+                  name: {{ .Values.secrets.postgresql_airflow_db.user }}
77
+                  key: AIRFLOW_DATABASE_NAME
78
+            - name: DB_PORT
79
+              valueFrom:
80
+                secretKeyRef:
81
+                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
82
+                  key: DATABASE_PORT
83
+            - name: SHIPYARD_AUXILIARY_CONFIG
84
+              value: "True"
85
+          command:
86
+            - /tmp/shipyard-db-auxiliary.sh
87
+          volumeMounts:
88
+            - name: shipyard-bin
89
+              mountPath: /tmp/shipyard-db-auxiliary.sh
90
+              subPath: shipyard-db-auxiliary.sh
91
+              readOnly: true
92
+{{ if $mounts_shipyard_db_auxiliary.volumeMounts }}{{ toYaml $mounts_shipyard_db_auxiliary.volumeMounts | indent 10 }}{{ end }}
93
+      volumes:
94
+        - name: shipyard-bin
95
+          configMap:
96
+            name: shipyard-bin
97
+            defaultMode: 0555
98
+{{ if $mounts_shipyard_db_auxiliary.volumes }}{{ toYaml $mounts_shipyard_db_auxiliary.volumes | indent 6 }}{{ end }}
99
+{{- end }}

+ 12
- 7
charts/shipyard/templates/job-shipyard-db-init.yaml View File

@@ -46,24 +46,22 @@ spec:
46 46
           imagePullPolicy: {{ .Values.images.pull_policy | quote }}
47 47
 {{ tuple $envAll $envAll.Values.pod.resources.jobs.shipyard_db_init | include "helm-toolkit.snippets.kubernetes_resources" | indent 10 }}
48 48
           env:
49
-            - name: SHIPYARD_DB_URL
49
+            - name: DB_HOST
50 50
               valueFrom:
51 51
                 secretKeyRef:
52 52
                   name: {{ .Values.secrets.postgresql_shipyard_db.user }}
53
-                  key: SHIPYARD_DATABASE_URI
54
-            - name: SHIPYARD_CONFIG_FILE
55
-              value: /etc/shipyard/shipyard.conf
56
-            - name: DB_NAME
53
+                  key: SHIPYARD_DATABASE_HOST
54
+            - name: USER_DB_NAME
57 55
               valueFrom:
58 56
                 secretKeyRef:
59 57
                   name: {{ .Values.secrets.postgresql_shipyard_db.user }}
60 58
                   key: SHIPYARD_DATABASE_NAME
61
-            - name: DB_SERVICE_USER
59
+            - name: USER_DB_USER
62 60
               valueFrom:
63 61
                 secretKeyRef:
64 62
                   name: {{ .Values.secrets.postgresql_shipyard_db.user }}
65 63
                   key: SHIPYARD_DATABASE_USERNAME
66
-            - name: DB_SERVICE_PASSWORD
64
+            - name: USER_DB_PASS
67 65
               valueFrom:
68 66
                 secretKeyRef:
69 67
                   name: {{ .Values.secrets.postgresql_shipyard_db.user }}
@@ -83,6 +81,13 @@ spec:
83 81
                 secretKeyRef:
84 82
                   name: {{ .Values.secrets.postgresql_airflow_db.user }}
85 83
                   key: AIRFLOW_DATABASE_NAME
84
+            - name: DB_PORT
85
+              valueFrom:
86
+                secretKeyRef:
87
+                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
88
+                  key: DATABASE_PORT
89
+            - name: SHIPYARD_AUXILIARY_CONFIG
90
+              value: "True"
86 91
           command:
87 92
             - /tmp/shipyard-db-init.sh
88 93
           volumeMounts:

+ 0
- 20
charts/shipyard/templates/job-shipyard-db-sync.yaml View File

@@ -46,28 +46,8 @@ spec:
46 46
           imagePullPolicy: {{ .Values.images.pull_policy }}
47 47
 {{ tuple $envAll $envAll.Values.pod.resources.jobs.shipyard_db_sync | include "helm-toolkit.snippets.kubernetes_resources" | indent 10 }}
48 48
           env:
49
-            - name: SHIPYARD_DB_URL
50
-              valueFrom:
51
-                secretKeyRef:
52
-                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
53
-                  key: SHIPYARD_DATABASE_URI
54 49
             - name: SHIPYARD_CONFIG_FILE
55 50
               value: /etc/shipyard/shipyard.conf
56
-            - name: DB_NAME
57
-              valueFrom:
58
-                secretKeyRef:
59
-                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
60
-                  key: SHIPYARD_DATABASE_NAME
61
-            - name: DB_SERVICE_USER
62
-              valueFrom:
63
-                secretKeyRef:
64
-                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
65
-                  key: SHIPYARD_DATABASE_USERNAME
66
-            - name: DB_SERVICE_PASSWORD
67
-              valueFrom:
68
-                secretKeyRef:
69
-                  name: {{ .Values.secrets.postgresql_shipyard_db.user }}
70
-                  key: SHIPYARD_DATABASE_PASSWORD
71 51
           command:
72 52
             - /tmp/shipyard-db-sync.sh
73 53
           volumeMounts:

+ 3
- 0
charts/shipyard/templates/secret-airflow-db.yaml View File

@@ -35,6 +35,9 @@ data:
35 35
 {{ $auth.username | b64enc | indent 4 }}
36 36
   AIRFLOW_DATABASE_URI: |-
37 37
 {{ tuple "postgresql_airflow_db" "internal" "user" "postgresql" $envAll | include "helm-toolkit.endpoints.authenticated_endpoint_uri_lookup" | b64enc | indent 4 }}
38
+  AIRFLOW_DATABASE_HOST: |-
39
+{{ tuple "postgresql_airflow_db" "internal" $envAll | include "helm-toolkit.endpoints.hostname_fqdn_endpoint_lookup" | b64enc | indent 4 }}
40
+  DATABASE_PORT: {{ tuple "postgresql_airflow_db" "internal" "postgresql" $envAll | include "helm-toolkit.endpoints.endpoint_port_lookup" | b64enc }}
38 41
 ...
39 42
 {{- end }}
40 43
 {{- end }}

+ 3
- 2
charts/shipyard/templates/secret-shipyard-db.yaml View File

@@ -33,8 +33,9 @@ data:
33 33
 {{ $auth.password | b64enc | indent 4 }}
34 34
   SHIPYARD_DATABASE_USERNAME: |-
35 35
 {{ $auth.username | b64enc | indent 4 }}
36
-  SHIPYARD_DATABASE_URI: |-
37
-{{ tuple "postgresql_shipyard_db" "internal" "user" "postgresql" $envAll | include "helm-toolkit.endpoints.authenticated_endpoint_uri_lookup" | b64enc | indent 4 }}
36
+  SHIPYARD_DATABASE_HOST: |-
37
+{{ tuple "postgresql_shipyard_db" "internal" $envAll | include "helm-toolkit.endpoints.hostname_fqdn_endpoint_lookup" | b64enc | indent 4 }}
38
+  DATABASE_PORT: {{ tuple "postgresql_shipyard_db" "internal" "postgresql" $envAll | include "helm-toolkit.endpoints.endpoint_port_lookup" | b64enc }}
38 39
 ...
39 40
 {{- end }}
40 41
 {{- end }}

+ 16
- 3
charts/shipyard/values.yaml View File

@@ -32,6 +32,7 @@ images:
32 32
     shipyard: quay.io/airshipit/shipyard:latest
33 33
     dep_check: quay.io/stackanetes/kubernetes-entrypoint:v0.3.1
34 34
     shipyard_db_init: docker.io/postgres:9.5
35
+    shipyard_db_auxiliary: docker.io/postgres:9.5
35 36
     shipyard_db_sync: quay.io/airshipit/shipyard:latest
36 37
     airflow_db_init: docker.io/postgres:9.5
37 38
     rabbit_init: docker.io/rabbitmq:3.7-management
@@ -79,9 +80,12 @@ dependencies:
79 80
       services:
80 81
         - service: postgresql_shipyard_db
81 82
           endpoint: internal
82
-    shipyard_db_sync:
83
+    shipyard_db_auxiliary:
83 84
       jobs:
84 85
         - shipyard-db-init
86
+    shipyard_db_sync:
87
+      jobs:
88
+        - shipyard-db-auxiliary
85 89
       services:
86 90
         - service: postgresql_shipyard_db
87 91
           endpoint: internal
@@ -115,7 +119,6 @@ dependencies:
115 119
           endpoint: internal
116 120
     shipyard:
117 121
       jobs:
118
-        - shipyard-db-init
119 122
         - shipyard-db-sync
120 123
         - shipyard-ks-endpoints
121 124
         - shipyard-ks-user
@@ -128,7 +131,6 @@ dependencies:
128 131
     airflow_server:
129 132
       jobs:
130 133
         - airflow-rabbit-init
131
-        - airflow-db-init
132 134
         - airflow-db-sync
133 135
       services:
134 136
         - service: postgresql_airflow_db
@@ -691,6 +693,9 @@ pod:
691 693
     shipyard_db_init:
692 694
       init_container: null
693 695
       shipyard_db_init:
696
+    shipyard_db_auxiliary:
697
+      init_container: null
698
+      shipyard_db_auxiliary:
694 699
     shipyard_db_sync:
695 700
       init_container: null
696 701
       shipyard_db_sync:
@@ -801,6 +806,13 @@ pod:
801 806
         requests:
802 807
           memory: "128Mi"
803 808
           cpu: "500m"
809
+      shipyard_db_auxiliary:
810
+        limits:
811
+          memory: "128Mi"
812
+          cpu: "500m"
813
+        requests:
814
+          memory: "128Mi"
815
+          cpu: "500m"
804 816
       shipyard_db_sync:
805 817
         limits:
806 818
           memory: "128Mi"
@@ -829,6 +841,7 @@ manifests:
829 841
   statefulset_airflow_worker: true
830 842
   ingress_shipyard_api: true
831 843
   job_shipyard_db_init: true
844
+  job_shipyard_db_auxiliary: true
832 845
   job_shipyard_db_sync: true
833 846
   job_rabbit_init: true
834 847
   job_airflow_db_init: true

Loading…
Cancel
Save